Index: code/trunk/src/orxonox/controllers/ArtificialController.cc
===================================================================
--- code/trunk/src/orxonox/controllers/ArtificialController.cc	(revision 7380)
+++ code/trunk/src/orxonox/controllers/ArtificialController.cc	(revision 7401)
@@ -558,5 +558,5 @@
 
     /**
-        @brief Master sets its slaves free for @var FREEDOM_COUNT seconds.
+        @brief Master sets its slaves free for @ref FREEDOM_COUNT seconds.
     */
     void ArtificialController::forceFreeSlaves()
@@ -665,5 +665,5 @@
         @brief Master begins to follow a pawn. Is a "specific master action".
         @param pawn pawn to follow.
-        @param alaways follows pawn forever if true (false if omitted).
+        @param always follows pawn forever if true (false if omitted).
         @param secondsToFollow seconds to follow the pawn if always is false. Will follow pawn 100 seconds if omitted (set in header).
     */
Index: code/trunk/src/orxonox/gamestates/GSServer.cc
===================================================================
--- code/trunk/src/orxonox/gamestates/GSServer.cc	(revision 7380)
+++ code/trunk/src/orxonox/gamestates/GSServer.cc	(revision 7401)
@@ -53,5 +53,5 @@
     void GSServer::activate()
     {
-        GameMode::setHasServer(true);
+        GameMode::setIsServer(true);
 
         this->server_ = new Server(CommandLineParser::getValue("port"));
@@ -66,5 +66,5 @@
         delete this->server_;
 
-        GameMode::setHasServer(false);
+        GameMode::setIsServer(false);
     }
 
Index: code/trunk/src/orxonox/graphics/Light.h
===================================================================
--- code/trunk/src/orxonox/graphics/Light.h	(revision 7380)
+++ code/trunk/src/orxonox/graphics/Light.h	(revision 7401)
@@ -83,9 +83,10 @@
             /**
                 @brief Sets the attenuation parameters of the light source i.e. how it diminishes with distance.
+                @param attenuation The parameters of the attenuation (see description)
 
-                @param attenuation.x range (The absolute upper range of the light in world units)
-                @param attenuation.y constant (The constant factor in the attenuation formula: 1.0 means never attenuate, 0.0 is complete attenuation)
-                @param attenuation.z linear (The linear factor in the attenuation formula: 1 means attenuate evenly over the distance)
-                @param attenuation.w quadratic (The quadratic factor in the attenuation formula: adds a curvature to the attenuation formula)
+                 - @a attenuation.x range (The absolute upper range of the light in world units)
+                 - @a attenuation.y constant (The constant factor in the attenuation formula: 1.0 means never attenuate, 0.0 is complete attenuation)
+                 - @a attenuation.z linear (The linear factor in the attenuation formula: 1 means attenuate evenly over the distance)
+                 - @a attenuation.w quadratic (The quadratic factor in the attenuation formula: adds a curvature to the attenuation formula)
 
                 Quote from the Ogre API:
@@ -120,8 +121,9 @@
             /**
                 @brief Sets the range of a spotlight, i.e. the angle of the inner and outer cones and the rate of falloff between them.
-
-                @param spotlightRange.x innerAngle (The angle covered by the bright inner cone)
-                @param spotlightRange.x outerAngle (The angle covered by the outer cone)
-                @param spotlightRange.x falloff (The rate of falloff between the inner and outer cones. 1.0 means a linear falloff, less means slower falloff, higher means faster falloff.)
+                @param spotlightRange The parameters of the spotlight (see description)
+                
+                 - @a spotlightRange.x innerAngle (The angle covered by the bright inner cone)
+                 - @a spotlightRange.x outerAngle (The angle covered by the outer cone)
+                 - @a spotlightRange.x falloff (The rate of falloff between the inner and outer cones. 1.0 means a linear falloff, less means slower falloff, higher means faster falloff.)
             */
             inline void setSpotlightRange(const Vector3& spotlightRange)
Index: code/trunk/src/orxonox/interfaces/Pickupable.h
===================================================================
--- code/trunk/src/orxonox/interfaces/Pickupable.h	(revision 7380)
+++ code/trunk/src/orxonox/interfaces/Pickupable.h	(revision 7401)
@@ -161,6 +161,5 @@
             @brief Facilitates the creation of a PickupSpawner upon dropping of the Pickupable.
                    This method must be implemented by any class directly inheriting from Pickupable. It is most easily done by just creating a new DroppedPickup, e.g.:
-                   DroppedPickup(BaseObject* creator, Pickupable* pickup, const Vector3& position, float triggerDistance);
-            @param position The position at which the PickupSpawner should be placed.
+                   DroppedPickup(BaseObject* creator, Pickupable* pickup, PickupCarrier* carrier, float triggerDistance);
             @return Returns true if a spawner was created, false if not.
             */
Index: code/trunk/src/orxonox/overlays/GUISheet.cc
===================================================================
--- code/trunk/src/orxonox/overlays/GUISheet.cc	(revision 7380)
+++ code/trunk/src/orxonox/overlays/GUISheet.cc	(revision 7401)
@@ -54,12 +54,12 @@
     }
 
-    void GUISheet::XMLPort(Element& xmlElement, XMLPort::Mode mode)
+    void GUISheet::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
-        SUPER(GUISheet, XMLPort, xmlElement, mode);
+        SUPER(GUISheet, XMLPort, xmlelement, mode);
 
-        XMLPortParam(GUISheet, "showOnLoad",   setShowOnLoad,     getShowOnLoad,     xmlElement, mode);
-        XMLPortParam(GUISheet, "hidePrevious", setPreviousHiding, getPreviousHiding, xmlElement, mode);
-        XMLPortParam(GUISheet, "sheetName",    setSheetName,      getSheetName,      xmlElement, mode);
-        XMLPortParam(GUISheet, "backgroundImage",  setBackgroundImage,  getBackgroundImage,  xmlElement, mode);
+        XMLPortParam(GUISheet, "showOnLoad",   setShowOnLoad,     getShowOnLoad,     xmlelement, mode);
+        XMLPortParam(GUISheet, "hidePrevious", setPreviousHiding, getPreviousHiding, xmlelement, mode);
+        XMLPortParam(GUISheet, "sheetName",    setSheetName,      getSheetName,      xmlelement, mode);
+        XMLPortParam(GUISheet, "backgroundImage",  setBackgroundImage,  getBackgroundImage,  xmlelement, mode);
 
         if (this->bShowOnLoad_)
Index: code/trunk/src/orxonox/overlays/GUISheet.h
===================================================================
--- code/trunk/src/orxonox/overlays/GUISheet.h	(revision 7380)
+++ code/trunk/src/orxonox/overlays/GUISheet.h	(revision 7401)
@@ -44,5 +44,5 @@
         ~GUISheet();
 
-        void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         void show();
Index: code/trunk/src/orxonox/overlays/InGameConsole.cc
===================================================================
--- code/trunk/src/orxonox/overlays/InGameConsole.cc	(revision 7380)
+++ code/trunk/src/orxonox/overlays/InGameConsole.cc	(revision 7401)
@@ -454,5 +454,8 @@
     /**
         @brief Prints string to bottom line.
-        @param s String to be printed
+        @param text The string to be printed
+        @param type The type of the text, defines the color
+        @param index The index of the text overlay in which the string will be displayed
+        @param alwaysShift If true the ohter lines in the console are always shifted by one line
     */
     void InGameConsole::print(const std::string& text, Shell::LineType type, int index, bool alwaysShift)
Index: code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc
===================================================================
--- code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 7380)
+++ code/trunk/src/orxonox/overlays/OrxonoxOverlay.cc	(revision 7401)
@@ -126,14 +126,14 @@
         BaseObject::XMLPort()
     */
-    void OrxonoxOverlay::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(OrxonoxOverlay, XMLPort, xmlElement, mode);
-
-        XMLPortParam(OrxonoxOverlay, "size",      setSize,      getSize,      xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "pickpoint", setPickPoint, getPickPoint, xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "position",  setPosition,  getPosition,  xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "rotation",  setRotation,  getRotation,  xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "correctaspect", setAspectCorrection,   getAspectCorrection,   xmlElement, mode);
-        XMLPortParam(OrxonoxOverlay, "background",    setBackgroundMaterial, getBackgroundMaterial, xmlElement, mode);
+    void OrxonoxOverlay::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(OrxonoxOverlay, XMLPort, xmlelement, mode);
+
+        XMLPortParam(OrxonoxOverlay, "size",      setSize,      getSize,      xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "pickpoint", setPickPoint, getPickPoint, xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "position",  setPosition,  getPosition,  xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "rotation",  setRotation,  getRotation,  xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "correctaspect", setAspectCorrection,   getAspectCorrection,   xmlelement, mode);
+        XMLPortParam(OrxonoxOverlay, "background",    setBackgroundMaterial, getBackgroundMaterial, xmlelement, mode);
     }
 
@@ -306,4 +306,6 @@
         The name of the overlay defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param scale
+        The scaling factor
     */
     /*static*/ void OrxonoxOverlay::scaleOverlay(const std::string& name, float scale)
@@ -346,4 +348,6 @@
         The name of the overlay defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param scroll
+        The relative translation of the overlay
     */
     /*static*/ void OrxonoxOverlay::scrollOverlay(const std::string& name, const Vector2& scroll)
@@ -360,4 +364,6 @@
         The name of the overlay defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param angle
+        The rotation angle in degree
     */
     /*static*/ void OrxonoxOverlay::rotateOverlay(const std::string& name, const Degree& angle)
Index: code/trunk/src/orxonox/overlays/OrxonoxOverlay.h
===================================================================
--- code/trunk/src/orxonox/overlays/OrxonoxOverlay.h	(revision 7380)
+++ code/trunk/src/orxonox/overlays/OrxonoxOverlay.h	(revision 7401)
@@ -90,5 +90,5 @@
         virtual ~OrxonoxOverlay();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         virtual void changedName();
Index: code/trunk/src/orxonox/overlays/OverlayGroup.cc
===================================================================
--- code/trunk/src/orxonox/overlays/OverlayGroup.cc	(revision 7380)
+++ code/trunk/src/orxonox/overlays/OverlayGroup.cc	(revision 7401)
@@ -71,12 +71,12 @@
         BaseObject::XMLPort()
     */
-    void OverlayGroup::XMLPort(Element& xmlElement, XMLPort::Mode mode)
-    {
-        SUPER(OverlayGroup, XMLPort, xmlElement, mode);
-
-        XMLPortParam(OverlayGroup, "scale",  setScale,  getScale,  xmlElement, mode);
-        XMLPortParam(OverlayGroup, "scroll", setScroll, getScroll, xmlElement, mode);
+    void OverlayGroup::XMLPort(Element& xmlelement, XMLPort::Mode mode)
+    {
+        SUPER(OverlayGroup, XMLPort, xmlelement, mode);
+
+        XMLPortParam(OverlayGroup, "scale",  setScale,  getScale,  xmlelement, mode);
+        XMLPortParam(OverlayGroup, "scroll", setScroll, getScroll, xmlelement, mode);
         // loads all the child elements
-        XMLPortObject(OverlayGroup, OrxonoxOverlay, "", addElement, getElement, xmlElement, mode);
+        XMLPortObject(OverlayGroup, OrxonoxOverlay, "", addElement, getElement, xmlelement, mode);
     }
 
@@ -114,6 +114,6 @@
     @brief
         Removes an element from the map.
-    @param name
-        The name of the element that is removed.
+    @param element
+        A pointer to the element that is removed.
     @return
         Returns true if there was such an element to remove, false if not.
@@ -181,4 +181,6 @@
         The name of the group defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param scale
+        The scaling factor
     */
     /*static*/ void OverlayGroup::scaleGroup(const std::string& name, float scale)
@@ -197,4 +199,6 @@
         The name of the group defined BaseObject::setName() (usually done with the "name"
         attribute in the xml file).
+    @param scroll
+        The relative translation of the overlay group
     */
     /*static*/ void OverlayGroup::scrollGroup(const std::string& name, const Vector2& scroll)
Index: code/trunk/src/orxonox/overlays/OverlayGroup.h
===================================================================
--- code/trunk/src/orxonox/overlays/OverlayGroup.h	(revision 7380)
+++ code/trunk/src/orxonox/overlays/OverlayGroup.h	(revision 7401)
@@ -58,5 +58,5 @@
         ~OverlayGroup();
 
-        virtual void XMLPort(Element& xmlElement, XMLPort::Mode mode);
+        virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
 
         static void toggleVisibility(const std::string& name);
Index: code/trunk/src/orxonox/worldentities/WorldEntity.cc
===================================================================
--- code/trunk/src/orxonox/worldentities/WorldEntity.cc	(revision 7380)
+++ code/trunk/src/orxonox/worldentities/WorldEntity.cc	(revision 7401)
@@ -267,5 +267,5 @@
     @brief
         Attaches this object to a parent SceneNode.
-    @Remarks
+    @remarks
         Only use this method if you know exactly what you're doing!
         Normally, attaching works internally by attaching WE's.
@@ -282,5 +282,5 @@
     @brief
         Detaches this object from a parent SceneNode.
-    @Remarks
+    @remarks
         Only use this method if you know exactly what you're doing!
         Normally, attaching works internally by attaching WE's.
@@ -355,5 +355,5 @@
         Attaches a child WorldEntity to this object. This calls notifyBeingAttached()
         of the child WE.
-    @Note
+    @note
         The collision shape of the child object gets attached nevertheless. That also means
         that you can change the collision shape of the child and it correctly cascadeds the changes to this instance.
@@ -628,5 +628,5 @@
     @brief
         Sets the three dimensional scaling of this object.
-    @Note
+    @note
         Scaling physical objects has not yet been implemented and is therefore forbidden.
     */
@@ -650,6 +650,8 @@
     @brief
         Translates this WorldEntity by a vector.
+    @param distance
+        The relative distance of the translation
     @param relativeTo
-        @see WorldEntity::TransformSpace
+        The TransformSpace of this translation
     */
     void WorldEntity::translate(const Vector3& distance, TransformSpace relativeTo)
@@ -678,6 +680,8 @@
     @brief
         Rotates this WorldEntity by a quaternion.
+    @param rotation
+        The desired relative rotation
     @param relativeTo
-        @see WorldEntity::TransformSpace
+        The TransformSpace of this translation
     */
     void WorldEntity::rotate(const Quaternion& rotation, TransformSpace relativeTo)
@@ -703,6 +707,8 @@
     @brief
         Makes this WorldEntity look at a specific target location.
+    @param target
+        An absolute point in the space which defines the direction of the entity
     @param relativeTo
-        @see WorldEntity::TransformSpace
+        The TransformSpace of this translation
     @param localDirectionVector
         The vector which normally describes the natural direction of the object, usually -Z.
@@ -729,6 +735,8 @@
     @brief
         Makes this WorldEntity look in specific direction.
+    @param direction
+        A point relative to the position of the WorldEntity which defines its orientation
     @param relativeTo
-        @see WorldEntity::TransformSpace
+        The TransformSpace of this translation
     @param localDirectionVector
         The vector which normally describes the natural direction of the object, usually -Z.
@@ -773,6 +781,6 @@
     /**
     @brief
-        Sets the CollisionType. This alters the object significantly! @see CollisionType.
-    @Note
+        Sets the CollisionType. This alters the object significantly!
+    @note
         Operation does not work on attached WorldEntities.
     */
@@ -900,5 +908,5 @@
         Recalculates the accumulated child mass and calls recalculateMassProps()
         and notifies the parent of the change.
-    @Note
+    @note
         Called by a child WE
     */
@@ -919,5 +927,5 @@
     @brief
         Undertakes the necessary steps to change the collision shape in Bullet, even at runtime.
-    @Note
+    @note
         - called by this->collisionShape_
         - May have a REALLY big overhead when called continuously at runtime, because then we need
Index: code/trunk/src/orxonox/worldentities/WorldEntity.h
===================================================================
--- code/trunk/src/orxonox/worldentities/WorldEntity.h	(revision 7380)
+++ code/trunk/src/orxonox/worldentities/WorldEntity.h	(revision 7401)
@@ -299,5 +299,5 @@
             @brief
                 Returns the diagonal elements of the inertia tensor when calculated in local coordinates.
-            @Note
+            @note
                 The local inertia tensor cannot be set, but is calculated by Bullet according to the collisionShape.
                 With compound collision shapes, an approximation is used.
@@ -367,9 +367,9 @@
             @param otherObject
                 The object this one has collided into.
-            @pram contactPoint
+            @param contactPoint
                 Contact point provided by Bullet. Holds more information and can me modified. See return value.
-            @Return
+            @return
                 Returning false means that no modification to the contactPoint has been made. Return true otherwise!
-            @Note
+            @note
                 Condition is that enableCollisionCallback() was called.
             */
